/*-*-LaTeX-*-
  This is the documentation file of the whole ZEN library. There is
  no C code in this file, only LaTeX commands.
  
  \TEX{
  \Chapter{Introduction -- Example}
  
  All the procedures described here form the |libzenfact.a|
  library. These procedures are all macros defined in
  |zenfact.h|.
 The installation procedure is the same as that for \zen.
\begin{note}
When using a file system supporting symbolic links, we strongly recommend to replace the file|zenfact/specif.def| by a symbolic link on the file |zen/specif.def|. This will ensure you that the two libraries are compiled with the same options.
\end{note}
See the ``user manual'' of \zen\ for more details on the following compilation procedure.
     \begin{enumerate}
     \item Decompress |ZENFACT.x.y.tgz| with\\
       $>$| gzip -d |$<$| ZENFACT.x.y.tgz |$\vert$| tar xvf -|.
     \item Go in the |ZENFACT| directory with\\
       $>$| cd ZENFACT.x.y|.
     \item \label{archdef} Obtain Makefiles from imakefiles with\\
       $>$| zenmkmf.sh|.
     \item \label{compilation} Compile with\\
       $>$| make|.
     \item \label{documentation} Have the documentation compiled with\\
       $>$| make doc|.
     \end{enumerate}

The purpose of \zenfact\ is to provide functions that can be used in any |ZENRing|. These functions are generic and do not depend on the representation used. They constitute a good example of what can be done using \zen.

We now give an example of program that use some features of \zenfact, in order to obtain different representations of finite fields. This example can also be used to understand the use of precomputations and clones in \zen.

\input{example}
}
  */
